Bug 1288832 - (python-simplewrap) Review Request: python-simplewrap - Easy to use wrappers generator for C libraries based on ctypes
Review Request: python-simplewrap - Easy to use wrappers generator for C libr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro python-petlink python-interfile
  Show dependency treegraph
 
Reported: 2015-12-06 07:12 EST by Igor Gnatenko
Modified: 2015-12-28 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-06 07:12:20 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-simplewrap.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-simplewrap-0.3.0-1.fc24.src.rpm
Description: Easy to use wrappers generator for C libraries based on ctypes.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 16:29:16 EST
+ license is OK (BSD)
- license file is missing, please ask upstream to include
+ latest version
+ new python template is used
+ provides and requires look fine
+ no scriptlets
+ build flags are used
+ check is present and tests pass
+ fedora-review doesn't complain

rpmlint:
python2-simplewrap.x86_64: W: spelling-error Summary(en_US) ctypes -> types, c types
python2-simplewrap.x86_64: W: spelling-error %description -l en_US ctypes -> types, c types
python2-simplewrap.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/simplewrap/tests/test_simplewrap_c.so 775
python2-simplewrap.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/simplewrap/tests/test_matrices_c.so 775
python3-simplewrap.x86_64: W: spelling-error Summary(en_US) ctypes -> types, c types
python3-simplewrap.x86_64: W: spelling-error %description -l en_US ctypes -> types, c types
python3-simplewrap.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/simplewrap/tests/test_simplewrap_c.cpython-35m-x86_64-linux-gnu.so 775
python3-simplewrap.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/simplewrap/tests/test_matrices_c.cpython-35m-x86_64-linux-gnu.so 775
python-simplewrap.src: W: spelling-error Summary(en_US) ctypes -> types, c types
python-simplewrap.src: W: spelling-error %description -l en_US ctypes -> types, c types
python-simplewrap-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/python-simplewrap-0.3.0/python2/simplewrap/tests/test_simplewrap_c.c
python-simplewrap-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/python-simplewrap-0.3.0/python3/simplewrap/tests/test_matrices_c.c
python-simplewrap-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/python-simplewrap-0.3.0/python2/simplewrap/tests/test_matrices_c.c
python-simplewrap-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/python-simplewrap-0.3.0/python3/simplewrap/tests/test_simplewrap_c.c
4 packages and 0 specfiles checked; 4 errors, 10 warnings.
Nothing interesting here.

Package is APPROVED.
Comment 2 Gwyn Ciesla 2015-12-09 08:19:21 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-simplewrap
Comment 3 Fedora Update System 2015-12-12 07:02:35 EST
python-simplewrap-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b2eb1cf488
Comment 4 Fedora Update System 2015-12-13 12:22:04 EST
python-simplewrap-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-simplewrap'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b2eb1cf488
Comment 5 Fedora Update System 2015-12-28 17:58:52 EST
python-simplewrap-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.